Bug 127148 - net/phpLDAPadmin has incorrect Apache config instructions
Summary: net/phpLDAPadmin has incorrect Apache config instructions
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-06 15:00 UTC by ari
Modified: 2008-09-07 22:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ari 2008-09-06 15:00:10 UTC
/usr/ports/net/phpldapadmin/files/pkg-message.in

has the line

    Alias /phpldapadmin/ "%%WWWDIR%%/htdocs"


that should be

    Alias /phpldapadmin/ "%%WWWDIR%%/htdocs/"


note the trailing slash. Without it, the config doesn't work.
Comment 1 Matthew Seaman 2008-09-06 15:19:34 UTC
On Sat, Sep 06, 2008 at 01:54:50PM +0000, Ari Maniatis wrote:

> note the trailing slash. Without it, the config doesn't work.


As port maintainer, I can only say "Ooops."  You are entirely correct.
Here are some patches:

For the net/phpldapadmin port:

diff -Nur /usr/ports/net/phpldapadmin/files/pkg-message.in phpldapadmin/files/pkg-message.in
--- /usr/ports/net/phpldapadmin/files/pkg-message.in	2008-03-09 04:45:38.000000000 +0000
+++ phpldapadmin/files/pkg-message.in	2008-09-06 15:14:22.000000000 +0100
@@ -8,7 +8,7 @@
 To make phpLDAPadmin available through your web site, I suggest that
 you add something like the following to httpd.conf:
 
-    Alias /phpldapadmin/ "%%WWWDIR%%/htdocs"
+    Alias /phpldapadmin/ "%%WWWDIR%%/htdocs/"
 
     <Directory "%%WWWDIR%%/htdocs">
         Options none


For the net/phpldapadmin098 port:

diff -Nur /usr/ports/net/phpldapadmin098/files/pkg-message.in phpldapadmin098/files/pkg-message.in
--- /usr/ports/net/phpldapadmin098/files/pkg-message.in	2008-03-09 04:45:39.000000000 +0000
+++ phpldapadmin098/files/pkg-message.in	2008-09-06 15:14:46.000000000 +0100
@@ -8,7 +8,7 @@
 To make phpLDAPadmin available through your web site, I suggest that
 you add something like the following to httpd.conf:
 
-    Alias /phpldapadmin/ "%%WWWDIR%%/htdocs"
+    Alias /phpldapadmin/ "%%WWWDIR%%/htdocs/"
 
     <Directory "%%WWWDIR%%/htdocs">
         Options none

	 Cheers,

	 Matthew

-- 
Dr Matthew J Seaman MA, D.Phil.                   7 Priory Courtyard
                                                  Flat 3
PGP: http://www.infracaninophile.co.uk/pgpkey     Ramsgate
                                                  Kent, CT11 9PW
Comment 2 Martin Wilke freebsd_committer 2008-09-06 16:38:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Edwin Groothuis freebsd_committer 2008-09-07 05:04:00 UTC
Maintainer of net/phpldapadmin,

Please note that PR ports/127148 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127148

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Edwin Groothuis freebsd_committer 2008-09-07 05:04:01 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 5 Martin Wilke freebsd_committer 2008-09-07 22:31:33 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2008-09-07 22:31:35 UTC
miwi        2008-09-07 21:31:21 UTC

  FreeBSD ports repository

  Modified files:
    net/phpldapadmin/files pkg-message.in 
    net/phpldapadmin098/files pkg-message.in 
  Log:
  - Fix a typo in the Apache config instructions
  
  PR:             127148
  Submitted by:   Ari Maniatis <ari@ish.com.au>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.5       +1 -1      ports/net/phpldapadmin/files/pkg-message.in
  1.6       +1 -1      ports/net/phpldapadmin098/files/pkg-message.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"